Name:          fontconfig
Version:       2.12.4
Release:       1mamba
Summary:       Font configuration library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.fontconfig.org
Source:        http://www.fontconfig.org/release/fontconfig-%{version}.tar.gz
Source1:       fontconfig-infinality-local.conf
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbzip2-devel
BuildRequires: libexpat-devel
BuildRequires: libfreetype-devel
BuildRequires: libpng-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Requires:      lib%{name} = %{version}-%{release}

# FIXME:
# checking for docbook2html... no

%description
Fontconfig is a library for configuring and customizing font access.

%package -n lib%{name}
Summary:       A library for configuring and customizing font access
Group:         System/Libraries

%description -n lib%{name}
Fontconfig is a library for configuring and customizing font access.

%package -n lib%{name}-devel
Summary:       Header files and static library for development with FontConfig
Group:         Development/Libraries
Requires:      libfontconfig = %{version}-%{release}

%description -n lib%{name}-devel
Fontconfig is a library for configuring and customizing font access.
This package contains the header files and static library for development with FontConfig.

%package apidocs
Group:         Documentation
Summary:       %{name} API documentation
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc

%description apidocs
This package includes the %{name} API documentation.

%debug_package

%prep
%setup -q

%build
%configure \
%if "%{_build}" != "%{_host}"
   --with-arch=%{_host_cpu} \
%endif
   --with-add-fonts=/usr/lib/X11/fonts/TTF,/usr/lib/X11/fonts/Type1,/usr/lib/OpenOffice/share/fonts/truetype/

%make \
%if "%{_build}" != "%{_host}"
   CFLAGS="-O2 -fomit-frame-pointer -pipe" 
# avoid passing target platform CFLAGS to build compiler
%endif

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

# fonts configuration from www.infinality.net
install %{SOURCE1} %{buildroot}%{_sysconfdir}/fonts/local.conf

# remove unpackaged files
rm -rf %{buildroot}%{_datadir}/doc/fontconfig

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
if [ $1 -ge 1 ]; then
   %{_bindir}/fc-cache -f >/dev/null
fi
:

%post -n lib%{name}
/sbin/ldconfig
:

%postun -n lib%{name}
/sbin/ldconfig
:

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/fonts
#%dir %{_sysconfdir}/fonts/conf.avail/*.conf
%dir %{_sysconfdir}/fonts/conf.d
%dir %{_sysconfdir}/fonts/conf.d/README
#%{_sysconfdir}/fonts/fonts.dtd
%config %{_sysconfdir}/fonts/*.conf
%config %{_sysconfdir}/fonts/conf.d/*.conf
%config(noreplace) %{_sysconfdir}/fonts/local.conf
%{_bindir}/fc-cache
%{_bindir}/fc-cat
%{_bindir}/fc-list
%{_bindir}/fc-match
%{_bindir}/fc-pattern
%{_bindir}/fc-query
%{_bindir}/fc-scan
%{_bindir}/fc-validate
%dir %{_datadir}/fontconfig
%dir %{_datadir}/fontconfig/conf.avail
%{_datadir}/fontconfig/conf.avail/*
%dir %{_datadir}/xml/fontconfig
%{_datadir}/xml/fontconfig/fonts.dtd
%{_mandir}/man1/fc-cache.1*
%{_mandir}/man1/fc-cat.1*
%{_mandir}/man1/fc-list.1*
%{_mandir}/man1/fc-match.1*
%{_mandir}/man1/fc-pattern.1*
%{_mandir}/man1/fc-query.1*
%{_mandir}/man1/fc-scan.1*
%{_mandir}/man1/fc-validate.1*
%{_mandir}/man5/fonts-conf.5*

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libfontconfig.so.*

%files -n lib%{name}-devel
%defattr(-, root, root)
%dir %{_includedir}/fontconfig
%{_includedir}/fontconfig/*
#%{_libdir}/libfontconfig.a
%{_libdir}/libfontconfig.la
%{_libdir}/libfontconfig.so
%{_libdir}/pkgconfig/fontconfig.pc
%{_mandir}/man3/Fc*.3.gz
%doc doc/fontconfig-devel doc/fontconfig-devel.txt

%changelog
* Fri Jul 28 2017 Automatic Build System <autodist@mambasoft.it> 2.12.4-1mamba
- automatic version update by autodist

* Sat Aug 06 2016 Automatic Build System <autodist@mambasoft.it> 2.12.1-1mamba
- automatic version update by autodist

* Fri Jun 17 2016 Automatic Build System <autodist@mambasoft.it> 2.12.0-1mamba
- automatic version update by autodist

* Mon Apr 11 2016 Automatic Build System <autodist@mambasoft.it> 2.11.95-1mamba
- automatic version update by autodist

* Mon Mar 28 2016 Automatic Build System <autodist@mambasoft.it> 2.11.94-1mamba
- automatic version update by autodist

* Sat Jan 31 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.1-2mamba
- local.conf: use Liberation and Free as default and fallback fonts for serif,sans and mono

* Sun Mar 30 2014 Automatic Build System <autodist@mambasoft.it> 2.11.1-1mamba
- automatic version update by autodist

* Sat Feb 22 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0-3mamba
- update local.conf to remove errors on obsoleted variables

* Tue Feb 11 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.11.0-2mamba
- source package renamed from libfontconfig to fontconfig

* Sun Oct 13 2013 Automatic Build System <autodist@mambasoft.it> 2.11.0-1mamba
- automatic version update by autodist

* Mon Sep 16 2013 Automatic Build System <autodist@mambasoft.it> 2.10.95-1mamba
- automatic version update by autodist

* Sat Aug 31 2013 Automatic Build System <autodist@mambasoft.it> 2.10.93-2mamba
- arm: rebuilt with libpng 1.6

* Tue May 21 2013 Automatic Build System <autodist@mambasoft.it> 2.10.93-1mamba
- automatic version update by autodist

* Tue Apr 02 2013 Automatic Build System <autodist@mambasoft.it> 2.10.92-1mamba
- automatic version update by autodist

* Mon Feb 25 2013 Automatic Build System <autodist@mambasoft.it> 2.10.91-1mamba
- automatic version update by autodist

* Wed Nov 28 2012 Automatic Build System <autodist@mambasoft.it> 2.10.2-1mamba
- automatic version update by autodist

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-3mamba
- fix local.conf to remove warnings since 2.10

* Wed Aug 15 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 2.10.1-2mamba
- bump up release

* Wed Aug 08 2012 Automatic Build System <autodist@mambasoft.it> 2.10.1-1mamba
- automatic version update by autodist

* Wed Oct 19 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 2.8.0-3mamba
- install local.conf from http://www.infinality.net/files/local.conf

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.8.0-2mamba
- automatic rebuild by autodist

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 2.8.0-1mamba
- automatic update by autodist

* Thu Oct 15 2009 Automatic Build System <autodist@mambasoft.it> 2.7.3-1mamba
- automatic update by autodist

* Tue Sep 01 2009 Automatic Build System <autodist@mambasoft.it> 2.7.2-1mamba
- automatic update by autodist

* Sat Aug 01 2009 Automatic Build System <autodist@mambasoft.it> 2.7.1-1mamba
- automatic update by autodist

* Mon Jun 29 2009 Automatic Build System <autodist@mambasoft.it> 2.7.0-1mamba
- automatic update by autodist

* Mon Jun 16 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-2mamba
- libfontconfig-devel: added requirement for libfontconfig with same version

* Wed Jun 04 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.0-1mamba
- update to 2.6.0

* Fri Feb 09 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.2-1qilnx
- update to version 2.4.2 by autospec

* Mon Jun 27 2005 Davide Madrisan <davide.madrisan@qilinux.it> 2.3.2-1qilnx
- update to version 2.3.2 by autospec
- update ldconfig cache
- noreplace config files

* Wed Jun 02 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.95-1qilnx
- new version build
- added OpenOffice font path to default configuration

* Wed May 26 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.94-1qilnx
- new version build

* Mon Nov 03 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.92-2qilnx
- added missing libfontconfig.so symlink in devel package

* Fri Oct 31 2003 Silvan Calarco <silvan.calarco@mambasoft.it> 2.2.92-1qilnx
- first build of FontConfig
